1. Public API
HMS
  • Features
  • Public API
    • change_password
      POST
    • get_my_info
      GET
    • Login
      POST
    • Register Patient
      POST
    • Get Doctor List
      GET
    • Get Ward List
      GET
    • Get Team List
      GET
    • Get Team Info
      GET
  • Patient
    • patient/book
      POST
    • patient query appointments
      GET
    • patient edit appointments
      POST
    • patient cancel appointments
      DELETE
    • patient get current ward
      GET
  • Receptionist
    • receptionist query appointments
      GET
    • receptionist process_appointment
      POST
    • receptionist check in
      POST
  • Doctor
    • doctor query appointments
      GET
    • doctor treat
      POST
    • Get Patient Info
      GET
    • Get Patient List
      GET
  • Admin
    • Admin transfer ward
      POST
    • Admin patient discharge
      POST
    • Admin Create ward
      POST
    • Admin Edit ward
      POST
    • Admin Delete ward
      DELETE
    • Admin Create doctor team
      POST
    • Admin Delete doctor team
      DELETE
    • Admin Set Doctor Resigned
      POST
    • Admin Register User
      POST
    • Admin Edit Team Info
      POST
    • Admin Edit Doctor Info
      POST
    • Admin Edit Patient Info
      POST
    • Admin Reset User Password
      POST
    • Admin Reset User Password From Role ID
      POST
    • Admin Get Patient List
      GET
  • Info Output
    • Get Patients in ward
    • Get Team Patients
    • Get Treatment Records
  1. Public API

change_password

POST
/change_password

Request

Header Params

Body Params application/json

Example
{
    "old_password": "123456",
    "new_password": "654321"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST '/change_password' \
--header 'Authorization: 1S7AsKFkE6PgrGwNQdiXRCMTt4vmzqhc' \
--header 'Content-Type: application/json' \
--data-raw '{
    "old_password": "123456",
    "new_password": "654321"
}'

Responses

🟢200成功
application/json
Body

Example
{}
Modified at 2025-04-23 22:00:35
Previous
Features
Next
get_my_info
Built with